Product Documentation

システム要件

Jul 08, 2016

この記事では、AppDNAサーバーおよびクライアントでサポートされるシステムおよび前提条件について説明します。 AppDNAをインストールする前に、「インストールの準備」もお読みください。

各トピックへのクイックリンク:

ハードウェア要件

完全インストールの場合(サーバーおよびクライアント)

小規模な検証用の展開環境の場合:通常、4GB以上のRAMが搭載されたWindowsラップトップを使用できます。

実稼働環境の場合:

  • 12GB以上のRAMが搭載されたサーバークラスの物理または仮想マシン

    多数のアプリケーションを分析する場合、相互運用性ソリューションで追加のメモリが必要になる場合があります。 追加のメモリ量はアプリケーション数とアプリケーションDNAのサイズに応じて異なります。 テストでは、アプリケーション数が2,500のポートフォリオの場合、相互運用性分析で最適なパフォーマンスを実現するには、12GBのRAMが必要でした。

  • 200個までのアプリケーションをサポートするには、次の要件を満たす必要があります。
    • デュアルコア2GHzプロセッサ
    • 最低80GBの空きディスクスペースを持つハードドライブ
  • 200個を超えるアプリケーションをサポートするには、次の要件を満たす必要があります。
    • 2個のデュアルコア2GHzプロセッサ
    • 150GB以上の空きディスクスペース
    • データベース(.mdfファイル)は、オペレーティングシステムとは別の高性能な(10K/15K)物理ハードディスクにインストールする必要があります。データベースログファイル(.ldf)は別の物理ハードディスクに移動する必要があります。

クライアントのみのインストールの場合

  • Pentium 4以降のプロセッサ
  • 1GBが使用可能な2GB以上のメモリ(通常の条件で実行する場合)

    Install CaptureにVMware Workstationを使用する場合、2GBが使用可能な3GB以上のメモリ

  • 5GB以上の空きディスクスペース

    Install Captureを使用する場合、1つのハードドライブに80GB以上の空き領域

サポートされるオペレーティングシステム

AppDNAサーバーは、次のオペレーティングシステムプラットフォーム(64ビットのみ)でサポートされます。

  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2 SP1

AppDNAクライアントは、次のデスクトッププラットフォーム(32ビットおよび64ビット)でサポートされます。

  • Microsoft Windows 10
  • Microsoft Windows 8.1
  • Microsoft Windows 8
  • Microsoft Windows 7 SP1

AppDNAサーバーの要件

重要:AppDNAサーバーは専用マシンにインストールする必要があります。
  • Microsoft .NET Framework。 次のバージョンが必要です。
    重要:より新しいバージョンがあるとしても、.NET Framework 3.5 SP1が必要です。 新しいバージョンの.NET Frameworkには、AppDNAに必要な機能の一部が含まれていません。 同じマシンに複数のバージョンの.NET Frameworkを共存させることができます。 詳しくは、MSDNを参照してください。
    • .NET Framework 4.5または4.0
    • .NET Framework 3.5 SP1
  • Microsoft SQL Server。 次のバージョンがサポートされます。
    • SQL Server 2014
    • SQL Server 2014 Express Edition(データベースサイズの上限は10GBです)
    • SQL Server 2012
    • SQL Server 2012 Express Edition(データベースサイズの上限は10GBです)
    • SQL Server 2008 R2 SP1

    AppDNAではSQL Server AlwaysOnや、クラスタリング、ミラーリングはサポートされません。

  • Microsoftインターネットインフォメーションサービス(IIS)

    AppDNAでは使用するバージョンのWindowsと互換性のあるバージョンのIISがサポートされます。 Windowsのインストール時に、デフォルトではIISは有効になっていません。

    AppDNAサーバーをインストールするマシンの名前は、IISのドメイン名の要件に従う必要があります。a~z、A~Zの英字、0~9の数字、またはハイフン(-)のみで構成する必要があります。 名前の先頭または末尾にハイフンを使用することはできず、アンダースコア(_)を含めることはできません。

    AppDNAには、次のIISおよびASP.NET機能が必要です。

    Web管理ツール

    • IIS管理互換
      • IISメタベースおよびIIS 7構成との互換性
    • IIS管理コンソール
    • IIS管理スクリプトおよびツール
    • IIS管理サービス
    • IIS Application Initialization
    • IIS IPセキュリティ
    • IIS URL認証

    World Wide Webサービス

    • アプリケーション開発機能
      • .NET拡張性
      • ASP
      • ASP .NET(Windows Server 2012以外)
      • ASP .NET 4.5または4.0(Windows Server 2012)
      • ASP .NET 3.5(Windows Server 2012)
      • ISAPI拡張
      • ISAPIフィルター
      • サーバー側インクルード
    • HTTP基本機能
      • 既定のドキュメント
      • ディレクトリの参照
      • HTTPエラー
      • HTTPリダイレクト
      • 静的なコンテンツ
    • 状態と診断
      • HTTPログ
      • 要求の監視
    • パフォーマンス機能
      • 動的なコンテンツの圧縮
      • 静的なコンテンツの圧縮
    • セキュリティ
      • 基本認証
      • 要求のフィルタリング
      • Windows認証
  • Internet Explorer 11、10、9、8、7、または 6、Microsoft Edge (AppDNA 7.6.5以降)

    バージョン6~10のInternet Explorerを使用することもできますが、Microsoftはバージョン11をサポートしており、Citrixもバージョン11を使用することを推奨しています。

    サーバーマシンでレポートおよびヘルプシステムを表示するには、JavaScriptと暗号化されていないフォームを有効にします。

    注:サポートされるバージョンのWindows Serverで、Internet Explorerのセキュリティ強化の構成はデフォルトで有効になっています。 レポートおよびヘルプシステムの表示に必要なJavaScriptがセキュリティ強化の構成により無効になるため、それらのシステムでセキュリティ強化の構成を無効にするか、AppDNAクライアントをリモートマシンで使用して、レポートおよびヘルプを表示します。

AppDNAクライアントの要件

  • Microsoft .NET Framework - 次のバージョンが必要です。
    • .NET Framework 4.5または4.0
    • .NET Framework 3.5 SP1
  • Internet Explorer 11、10、9、8、7、または 6、Microsoft Edge (AppDNA 7.6.5以降)

    バージョン6~10のInternet Explorerを使用することもできますが、Microsoftはバージョン11をサポートしており、Citrixもバージョン11を使用することを推奨しています。

    レポートおよびヘルプシステムを表示するには、JavaScriptと暗号化されていないフォームを有効にします。

Citrixライセンスサーバーの要件

XenAppまたはXenDesktopのPlatinumライセンスのみ:サポートされるCitrixライセンスサーバーの最小バージョンは11.10です。

レポートの要件

  • レポートを生成するにはMicrosoft Officeが必要です。
  • Wordドキュメントとしてエクスポートされたレポートを表示するにはMicrosoft Word 2007以降が必要です。
  • PDFドキュメントとしてエクスポートされたレポートを表示するにはAdobe Readerが必要です。